Package writer2latex.util

# Class SimpleZipReader

java.lang.Object
writer2latex.util.SimpleZipReader

public class SimpleZipReader extends Object

## Constructor Summary

Constructors
Constructor
Description
`SimpleZipReader()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getEntry(String sName)`
Get an entry from the ZIP file.
`void`
`read(InputStream is)`
Read a zipped stream

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleZipReader

public SimpleZipReader()

## Method Details

### read

public void read(InputStream is) throws IOException
Read a zipped stream

Parameters:
  `is` - `InputStream` to read
Throws:
  `IOException` - if an I/O error occurs

### getEntry

public byte[] getEntry(String sName)
Get an entry from the ZIP file. Getting should be taken quite literally here: You can only get an entry once: The `SimpleZipReader` removes the entry from the collection when this method is called (memory optimization).

Parameters:
  `sName` - the name (path) of the ZIP entry
Returns:
  a byte array with the contents of the entry, or null if the entry does not exist